Subject: 25.0.92; GNUmakefile mode incorrect syntax highlighting

From: Dima Kogan <[email-masked]>
Date: Sun, 10 Apr 2016 16:02:46 -0700

Hi. I'm running an emacs built from the emacs-25 branch on 2016/04/05
(a05fb21). I'm seeing Makefiles incorrectly rendered at times. Example.
I load the following Makefile:

===================================
XXX :=						\
$(DIR)/aaa/bbb					\
$(DIR)/aaa/bbb					\
$(DIR)/aaa/bbb					\
$(DIR)/aaa/bbb					\
$(DIR)/aaa/bbb					\
$(DIR)/aaa/bbb					\
$(DIR)/aaa/bbb					\
$(DIR)/aaa/bbb					\
$(DIR)/aaa/bbb
===================================

Things look correct here. In particular all the DIR are rendered with
font-lock-variable-name-face

I then kill (with C-k) any of the DIR lines. Two of the DIR around the
line being killed then lose the font-lock-variable-name-face. The buffer
needs to be reverted to get proper highlighting back. I'm attaching
screenshots (emacs -Q -nw) before and after the kill.

Thanks